Bug 165942 - USB keyboard does not work in emergency mode on Dell GX280
USB keyboard does not work in emergency mode on Dell GX280
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-08-15 00:23 EDT by Dominic Duval
Modified: 2012-06-20 09:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 09:32:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dominic Duval 2005-08-15 00:23:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:
When booting the system in emergency mode on Dell GX280 machines, the keyboard will not work since USB drivers are not included in the initrd.

Note that the GX280 (and similar models) does not include any PS/2 emulation, so the system must rely exclusively on USB modules for keyboard access.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Pass the 'emergency' argument when booting the kernel and try to use the keyboard afterward


Actual Results:  At the sulogin prompt, pressing some keys on the USB keyboard will not work

Expected Results:  Keys pressed on the keyboard should show up on the screen.

Additional info:

Modified the initrd with something like:

mkinitrd -f --preload="ehci-hcd uhci-hcd" /boot/initrd-2.6.9-5.EL.img 2.6.9-5.EL mkinitrd -f --preload="ehci-hcd uhci-hcd" /boot/initrd-2.6.9-5.ELsmp.img 2.6.9-5.ELsmp

This indeed solved the problem. So one solution would be to include USB drivers in all initrd, or at least detect the presence of a USB-only keyboard at install time, and modify the initrd correspondingly.
Comment 1 Pete Zaitcev 2005-08-30 21:11:52 EDT
I don't see how I can be of assistance here. Maybe Peter has ideas.
Comment 2 Pete Zaitcev 2006-01-26 23:25:14 EST
Peter, please have a look at this. I would like have this resolved: either
fixed of closed as WONTFIX.
Comment 4 Jiri Pallich 2012-06-20 09:32:29 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.